# `abacusai.application_connector`

## Module Contents

### Classes

`ApplicationConnector` | A connector to an external service

class abacusai.application_connector.ApplicationConnector(client, applicationConnectorId=None, service=None, name=None, createdAt=None, status=None, auth=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  A connector to an external service

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - applicationConnectorId (str) – The unique ID for the connection.

    - service (str) – The service this connection connects to

    - name (str) – A user-friendly name for the service

    - createdAt (str) – When the API key was created

    - status (str) – The status of the Application Connector

    - auth (dict) – Non-secret connection information for this connector

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict

  rename(name)

    Renames a Application Connector

    Parameters:

      name (str) – A new name for the application connector.

  delete()

    Delete an application connector.

    Parameters:

      application_connector_id (str) – The unique identifier for the application connector.

  list_objects()

    Lists querable objects in the application connector.

    Parameters:

      application_connector_id (str) – Unique string identifier for the application connector.

  verify()

    Checks if Abacus.AI can access the application using the provided application connector ID.

    Parameters:

      application_connector_id (str) – Unique string identifier for the application connector.